<?php
$clsGrafik = new grafik;
$clsTabungan = new tabungan;
$clsCrud = new crudData;

$filterBulan01 = $clsGrafik->filterBulanIni($tahun1, '07', '31', 'tanggal');
$filterBulan02 = $clsGrafik->filterBulanIni($tahun1, '08', '31', 'tanggal');
$filterBulan03 = $clsGrafik->filterBulanIni($tahun1, '09', '30', 'tanggal');
$filterBulan04 = $clsGrafik->filterBulanIni($tahun1, '10', '31', 'tanggal');
$filterBulan05 = $clsGrafik->filterBulanIni($tahun1, '11', '30', 'tanggal');
$filterBulan06 = $clsGrafik->filterBulanIni($tahun1, '12', '31', 'tanggal');
$filterBulan07 = $clsGrafik->filterBulanIni($tahun2, '01', '31', 'tanggal');
$filterBulan08 = $clsGrafik->filterBulanIni($tahun2, '02', '29', 'tanggal');
$filterBulan09 = $clsGrafik->filterBulanIni($tahun2, '03', '31', 'tanggal');
$filterBulan10 = $clsGrafik->filterBulanIni($tahun2, '04', '30', 'tanggal');
$filterBulan11 = $clsGrafik->filterBulanIni($tahun2, '05', '31', 'tanggal');
$filterBulan12 = $clsGrafik->filterBulanIni($tahun2, '06', '30', 'tanggal');

//Debet Bulanan
$Debet01 = $clsCrud->sum($tabungan_transaksi, 'jumlah', "where jenis='D' and $filterBulan01");
$Debet02 = $clsCrud->sum($tabungan_transaksi, 'jumlah', "where jenis='D' and $filterBulan02");
$Debet03 = $clsCrud->sum($tabungan_transaksi, 'jumlah', "where jenis='D' and $filterBulan03");
$Debet04 = $clsCrud->sum($tabungan_transaksi, 'jumlah', "where jenis='D' and $filterBulan04");
$Debet05 = $clsCrud->sum($tabungan_transaksi, 'jumlah', "where jenis='D' and $filterBulan05");
$Debet06 = $clsCrud->sum($tabungan_transaksi, 'jumlah', "where jenis='D' and $filterBulan06");
$Debet07 = $clsCrud->sum($tabungan_transaksi, 'jumlah', "where jenis='D' and $filterBulan07");
$Debet08 = $clsCrud->sum($tabungan_transaksi, 'jumlah', "where jenis='D' and $filterBulan08");
$Debet09 = $clsCrud->sum($tabungan_transaksi, 'jumlah', "where jenis='D' and $filterBulan09");
$Debet10 = $clsCrud->sum($tabungan_transaksi, 'jumlah', "where jenis='D' and $filterBulan10");
$Debet11 = $clsCrud->sum($tabungan_transaksi, 'jumlah', "where jenis='D' and $filterBulan11");
$Debet12 = $clsCrud->sum($tabungan_transaksi, 'jumlah', "where jenis='D' and $filterBulan12");
$dataDebet = "$Debet01,$Debet02,$Debet03,$Debet04,$Debet05,$Debet06,$Debet07,$Debet08,$Debet09,$Debet10,$Debet11,$Debet12";

//Kredit BUlanan
$Kredit01 = $clsCrud->sum($tabungan_transaksi, 'jumlah', "where jenis='K' and $filterBulan01");
$Kredit02 = $clsCrud->sum($tabungan_transaksi, 'jumlah', "where jenis='K' and $filterBulan02");
$Kredit03 = $clsCrud->sum($tabungan_transaksi, 'jumlah', "where jenis='K' and $filterBulan03");
$Kredit04 = $clsCrud->sum($tabungan_transaksi, 'jumlah', "where jenis='K' and $filterBulan04");
$Kredit05 = $clsCrud->sum($tabungan_transaksi, 'jumlah', "where jenis='K' and $filterBulan05");
$Kredit06 = $clsCrud->sum($tabungan_transaksi, 'jumlah', "where jenis='K' and $filterBulan06");
$Kredit07 = $clsCrud->sum($tabungan_transaksi, 'jumlah', "where jenis='K' and $filterBulan07");
$Kredit08 = $clsCrud->sum($tabungan_transaksi, 'jumlah', "where jenis='K' and $filterBulan08");
$Kredit09 = $clsCrud->sum($tabungan_transaksi, 'jumlah', "where jenis='K' and $filterBulan09");
$Kredit10 = $clsCrud->sum($tabungan_transaksi, 'jumlah', "where jenis='K' and $filterBulan10");
$Kredit11 = $clsCrud->sum($tabungan_transaksi, 'jumlah', "where jenis='K' and $filterBulan11");
$Kredit12 = $clsCrud->sum($tabungan_transaksi, 'jumlah', "where jenis='K' and $filterBulan12");
$dataKredit = "$Kredit01,$Kredit02,$Kredit03,$Kredit04,$Kredit05,$Kredit06,$Kredit07,$Kredit08,$Kredit09,$Kredit10,$Kredit11,$Kredit12";

//Saldo Bulanan
$saldo01 = $clsTabungan->saldoAkhirBulananGrafik($tabungan_siswa, $tabungan_transaksi, $tahun1 . "-07-31");
$saldo02 = $clsTabungan->saldoAkhirBulananGrafik($tabungan_siswa, $tabungan_transaksi, $tahun1 . "-08-31");
$saldo03 = $clsTabungan->saldoAkhirBulananGrafik($tabungan_siswa, $tabungan_transaksi, $tahun1 . "-09-30");
$saldo04 = $clsTabungan->saldoAkhirBulananGrafik($tabungan_siswa, $tabungan_transaksi, $tahun1 . "-10-31");
$saldo05 = $clsTabungan->saldoAkhirBulananGrafik($tabungan_siswa, $tabungan_transaksi, $tahun1 . "-11-30");
$saldo06 = $clsTabungan->saldoAkhirBulananGrafik($tabungan_siswa, $tabungan_transaksi, $tahun1 . "-12-31");
$saldo07 = $clsTabungan->saldoAkhirBulananGrafik($tabungan_siswa, $tabungan_transaksi, $tahun2 . "-01-31");
$saldo08 = $clsTabungan->saldoAkhirBulananGrafik($tabungan_siswa, $tabungan_transaksi, $tahun2 . "-02-29");
$saldo09 = $clsTabungan->saldoAkhirBulananGrafik($tabungan_siswa, $tabungan_transaksi, $tahun2 . "-03-31");
$saldo10 = $clsTabungan->saldoAkhirBulananGrafik($tabungan_siswa, $tabungan_transaksi, $tahun2 . "-04-30");
$saldo11 = $clsTabungan->saldoAkhirBulananGrafik($tabungan_siswa, $tabungan_transaksi, $tahun2 . "-05-31");
$saldo12 = $clsTabungan->saldoAkhirBulananGrafik($tabungan_siswa, $tabungan_transaksi, $tahun2 . "-06-30");
$dataSaldo = "$saldo01,$saldo02,$saldo03,$saldo04,$saldo05,$saldo06,$saldo07,$saldo08,$saldo09,$saldo10,$saldo11,$saldo12";
